
From: Adrian Bunk <bunk@stusta.de>

This patch removes an unused global function.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/page-writeback.c |   24 ------------------------
 1 files changed, 24 deletions(-)

diff -puN mm/page-writeback.c~mm-page-writebackc-remove-an-unused-function-2 mm/page-writeback.c
--- 25/mm/page-writeback.c~mm-page-writebackc-remove-an-unused-function-2	2005-02-02 16:11:32.107085808 -0800
+++ 25-akpm/mm/page-writeback.c	2005-02-02 16:11:32.111085200 -0800
@@ -754,30 +754,6 @@ int clear_page_dirty_for_io(struct page 
 }
 EXPORT_SYMBOL(clear_page_dirty_for_io);
 
-/*
- * Clear a page's dirty flag while ignoring dirty memory accounting
- */
-int __clear_page_dirty(struct page *page)
-{
-	struct address_space *mapping = page_mapping(page);
-
-	if (mapping) {
-		unsigned long flags;
-
-		write_lock_irqsave(&mapping->tree_lock, flags);
-		if (TestClearPageDirty(page)) {
-			radix_tree_tag_clear(&mapping->page_tree,
-						page_index(page),
-						PAGECACHE_TAG_DIRTY);
-			write_unlock_irqrestore(&mapping->tree_lock, flags);
-			return 1;
-		}
-		write_unlock_irqrestore(&mapping->tree_lock, flags);
-		return 0;
-	}
-	return TestClearPageDirty(page);
-}
-
 int test_clear_page_writeback(struct page *page)
 {
 	struct address_space *mapping = page_mapping(page);
_
